---
title: "ln"
excerpt: "Compute the natural logarithm of the number."
layout: manual
---

Compute the natural logarithm of the number.



```js
ln(num: number) -> number
```

### Tags

* `math`


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `num` | `number` |  | Yes |

### Returns

`number` 


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> line(end = [ln(100), 15])
  |> line(end = [5, -6])
  |> line(end = [-10, -10])
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of ln 0](data:image/png;base64,[encoded data, 76640 characters])


